﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Ce code a été généré par un outil.
//     Version du runtime :4.0.30319.42000
//
//     Les modifications apportées à ce fichier peuvent provoquer un comportement incorrect et seront perdues si
//     le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TD11Client.RefServHM {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Temps", Namespace="http://schemas.datacontract.org/2004/07/CalculTemps")]
    [System.SerializableAttribute()]
    public partial class Temps : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int HField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int MField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int H {
            get {
                return this.HField;
            }
            set {
                if ((this.HField.Equals(value) != true)) {
                    this.HField = value;
                    this.RaisePropertyChanged("H");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int M {
            get {
                return this.MField;
            }
            set {
                if ((this.MField.Equals(value) != true)) {
                    this.MField = value;
                    this.RaisePropertyChanged("M");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="RefServHM.IServHm")]
    public interface IServHm {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServHm/MintoHm", ReplyAction="http://tempuri.org/IServHm/MintoHmResponse")]
        TD11Client.RefServHM.Temps MintoHm(int nbMinutes);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServHm/MintoHm", ReplyAction="http://tempuri.org/IServHm/MintoHmResponse")]
        System.Threading.Tasks.Task<TD11Client.RefServHM.Temps> MintoHmAsync(int nbMinutes);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServHm/HmToMin", ReplyAction="http://tempuri.org/IServHm/HmToMinResponse")]
        int HmToMin(TD11Client.RefServHM.Temps t);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServHm/HmToMin", ReplyAction="http://tempuri.org/IServHm/HmToMinResponse")]
        System.Threading.Tasks.Task<int> HmToMinAsync(TD11Client.RefServHM.Temps t);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IServHmChannel : TD11Client.RefServHM.IServHm, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ServHmClient : System.ServiceModel.ClientBase<TD11Client.RefServHM.IServHm>, TD11Client.RefServHM.IServHm {
        
        public ServHmClient() {
        }
        
        public ServHmClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ServHmClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServHmClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServHmClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public TD11Client.RefServHM.Temps MintoHm(int nbMinutes) {
            return base.Channel.MintoHm(nbMinutes);
        }
        
        public System.Threading.Tasks.Task<TD11Client.RefServHM.Temps> MintoHmAsync(int nbMinutes) {
            return base.Channel.MintoHmAsync(nbMinutes);
        }
        
        public int HmToMin(TD11Client.RefServHM.Temps t) {
            return base.Channel.HmToMin(t);
        }
        
        public System.Threading.Tasks.Task<int> HmToMinAsync(TD11Client.RefServHM.Temps t) {
            return base.Channel.HmToMinAsync(t);
        }
    }
}
